<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >

<mapper namespace="com.hys.app.mapper.erp.CompanyErpMapper">


    <select id="queryPage" resultType="com.hys.app.model.erp.entity.CompanyVO">
        select * from erp_company_copy1 ec
        where  1= 1
        <if test="query.industry != null and query.industry != ''">
            ec.industry like concat('%',#{query.industry},'%')
        </if>
        <if test="query.name != null and query.name != ''">
            ec.name like concat('%',#{query.name},'%')
        </if>
        <if test="query.userName != null and query.userName != ''">
            ec.user_name like concat('%',#{userName},'%')
        </if>
    </select>
</mapper>